shader_type canvas_item;

uniform vec2 size;
uniform vec2 grid_size;
const vec2 res = vec2(1.0,1.0);
varying mat4 inv_worlld_mat;

void vertex()
{
	inv_worlld_mat = inverse(EXTRA_MATRIX*WORLD_MATRIX);
	VERTEX = VERTEX;
}
 
void fragment()
{
	vec2 res_scale = ((inv_worlld_mat[1][1]))/(grid_size/10.0);
	vec2 uv = UV*size;//(inv_worlld_mat*vec4(vec2(1,-1)*FRAGCOORD.xy,0.0,1.0)).xy ;
	
	uv = uv * 10.0/grid_size;
	uv *= res/res_scale;
	COLOR = COLOR;

	vec2 g = (1.0-fract(uv*(0.1/res*res_scale)))*0.8;
	COLOR.a = 0.0;
	
	if(g.x < 0.1*res_scale.x || g.y < 0.1*res_scale.y )
	{
		COLOR.a = 0.8;
	}
}