tool
extends Node2D

export var length:int setget set_lenght,get_length
export var texture:Texture = null setget set_texture
var referencePosition:Vector2;

func _ready():
	self.length = length
	referencePosition = global_position+Vector2(0,-length*16-16-8);
	pass
	
func get_length()->int:
	return length;

func set_lenght(value):
	length = max(1,value);
	if(!is_inside_tree()):
		return;
	referencePosition = global_position+Vector2(0,-length*16-16-8);
	update();
	
func _draw():
	if(texture == null):
		return;
	#global_position = referencePosition;
	draw_set_transform(-global_position,0,Vector2.ONE);
	
	var dir:Vector2 = (global_position-Vector2(0,16)-referencePosition).normalized();
	for i in range(length):
		draw_texture(texture,referencePosition+Vector2(-8,16)+i*16*dir);
	#global_position = prepos;

func set_texture(value):
	texture = value;
	update();
